#| -*-Scheme-*-

Copyright (C) 1986, 1987, 1988, 1989, 1990, 1991, 1992, 1993, 1994,
    1995, 1996, 1997, 1998, 1999, 2000, 2001, 2002, 2003, 2004, 2005,
    2006, 2007, 2008, 2009, 2010, 2011, 2012, 2013, 2014, 2015, 2016,
    2017, 2018, 2019 Massachusetts Institute of Technology

This file is part of MIT/GNU Scheme.

MIT/GNU Scheme is free software; you can redistribute it and/or modify
it under the terms of the GNU General Public License as published by
the Free Software Foundation; either version 2 of the License, or (at
your option) any later version.

MIT/GNU Scheme is distributed in the hope that it will be useful, but
WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
General Public License for more details.

You should have received a copy of the GNU General Public License
along with MIT/GNU Scheme; if not, write to the Free Software
Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA 02110-1301,
USA.

|#

(parameterize ((param:suppress-loading-message? #t))
  (for-each load-option '(cref x11 edwin)))

(if (name->package '(edwin screen x11-screen))
    (error "The (edwin screen x11-screen) package already exists."))
(let ((package-set (package-set-pathname "x11-screen")))
  (if (not (file-modification-time<? "x11-screen.pkg" package-set))
      (cref/generate-trivial-constructor "x11-screen"))
  (construct-packages-from-file (fasload package-set)))

(compile-file "x11-screen" '() (->environment '(edwin screen x11-screen)))
(compile-file "x11-key" '() (->environment '(edwin x11-keys)))
(compile-file "x11-command" '() (->environment '(edwin x11-commands)))

(cref/generate-constructors "x11-screen")